Name:          libass
Version:       0.13.6
Release:       1mamba
Summary:       Portable Advanced Substation Alpha/Substation Alpha subtitle renderer
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://code.google.com/p/libass/
Source:        https://github.com/libass/libass/releases/download/%{version}/libass-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: enca-devel
BuildRequires: glibc-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libpng-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
libass is a portable subtitle renderer for the ASS/SSA
(Advanced Substation Alpha/Substation Alpha) subtitle format.
It is mostly compatible with VSFilter.

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
libass is a portable subtitle renderer for the ASS/SSA
(Advanced Substation Alpha/Substation Alpha) subtitle format.

This package contains libraries and header files need for development.

%package static
Group:         Development/Libraries
Summary:       Static libraries for %{name}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
libass is a portable subtitle renderer for the ASS/SSA
(Advanced Substation Alpha/Substation Alpha) subtitle format.

This package contains static libraries need for development.

%prep

%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libass.so.*
%doc Changelog COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/ass
%{_includedir}/ass/ass*.h
%{_libdir}/libass.so
%{_libdir}/pkgconfig/libass.pc

%files static 
%defattr(-,root,root)
%{_libdir}/libass.*a

%changelog
* Thu Apr 13 2017 Automatic Build System <autodist@mambasoft.it> 0.13.6-1mamba
- automatic version update by autodist

* Sun Oct 09 2016 Automatic Build System <autodist@mambasoft.it> 0.13.4-1mamba
- automatic version update by autodist

* Mon Sep 26 2016 Automatic Build System <autodist@mambasoft.it> 0.13.3-1mamba
- automatic version update by autodist

* Sat Feb 27 2016 Automatic Build System <autodist@mambasoft.it> 0.13.2-1mamba
- automatic version update by autodist

* Sat Jan 09 2016 Automatic Build System <autodist@mambasoft.it> 0.13.1-1mamba
- automatic version update by autodist

* Sun Oct 04 2015 Automatic Build System <autodist@mambasoft.it> 0.13.0-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Automatic Build System <autodist@mambasoft.it> 0.12.3-1mamba
- automatic version update by autodist

* Sat Nov 29 2014 Automatic Build System <autodist@mambasoft.it> 0.12.0-1mamba
- automatic version update by autodist

* Tue Apr 29 2014 Automatic Build System <autodist@mambasoft.it> 0.11.2-1mamba
- automatic version update by autodist

* Sat Feb 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.11.1-1mamba
- update to 0.11.1

* Mon Oct 28 2013 Automatic Build System <autodist@mambasoft.it> 0.10.2-1mamba
- automatic version update by autodist

* Mon Dec 27 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.11-2mamba
- automatic port from devel-gil

* Mon Dec 20 2010 gil <puntogil@libero.it> 0.9.11-1mamba
- update to 0.9.11

* Tue Jun 08 2010 gil <puntogil@libero.it> 0.9.8-2mamba
- rebuilt (milestone 1)

* Tue Jan 05 2010 gil <puntogil@libero.it> 0.9.8-1mamba
- package created by autospec
